Cpu (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class Cpu

    java.lang.Object
      org.hyperic.sigar.Cpu

All Implemented Interfaces:
  java.io.Serializable

    public class Cpu

extends java.lang.Object
implements java.io.Serializable

Cpu sigar class.

See Also:
  Serialized Form

Constructor Summary
`Cpu()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getIdle()` Get the Total system cpu idle time.
`long` | `getIrq()` Get the Total system cpu time servicing interrupts.
`long` | `getNice()` Get the Total system cpu nice time.
`long` | `getSoftIrq()` Get the Total system cpu time servicing softirqs.
`long` | `getStolen()` Get the Total system cpu involuntary wait time.
`long` | `getSys()` Get the Total system cpu kernel time.
`long` | `getTotal()` Get the Total system cpu time.
`long` | `getUser()` Get the Total system cpu user time.
`long` | `getWait()` Get the Total system cpu io wait time.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cpu

    public Cpu()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getUser

    public long getUser()

  Get the Total system cpu user time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu user time

### getSys

    public long getSys()

  Get the Total system cpu kernel time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu kernel time

### getNice

    public long getNice()

  Get the Total system cpu nice time.

  Supported Platforms: Darwin, FreeBSD, HPUX, Linux.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu nice time

### getIdle

    public long getIdle()

  Get the Total system cpu idle time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu idle time

### getWait

    public long getWait()

  Get the Total system cpu io wait time.

  Supported Platforms: AIX, Linux, HPUX, Solaris.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu io wait time

### getIrq

    public long getIrq()

  Get the Total system cpu time servicing interrupts.

  Supported Platforms: FreeBSD, Linux, HPUX, Win32.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu time servicing interrupts

### getSoftIrq

    public long getSoftIrq()

  Get the Total system cpu time servicing softirqs.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu time servicing softirqs

### getStolen

    public long getStolen()

  Get the Total system cpu involuntary wait time.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu involuntary wait time

### getTotal

    public long getTotal()

  Get the Total system cpu time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top`
  - Darwin: `top`
  - FreeBSD: `top`
  - HPUX: `top`
  - Linux: `top`
  - Solaris: `top`
  - Win32: `taskman`

  Returns:
    Total system cpu time

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.